Login
Newsletter
Werbung

Sicherheit: Mangelnde Rechteprüfung in slurm
Aktuelle Meldungen Distributionen
Name: Mangelnde Rechteprüfung in slurm
ID: SUSE-SU-2020:2598-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for HPC 15-SP1
Datum: Fr, 11. September 2020, 07:15
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-12693
Applikationen: slurm

Originalnachricht


SUSE Security Update: Security update for slurm
______________________________________________________________________________

Announcement ID: SUSE-SU-2020:2598-1
Rating: moderate
References: #1172004
Cross-References: CVE-2020-12693
Affected Products:
SUSE Linux Enterprise Module for HPC 15-SP1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for slurm fixes the following issues:

- Fix Authentication Bypass when Message Aggregation is enabled
CVE-2020-12693 This fixes and issue where authentication could be
bypassed via an alternate path or channel when message Aggregation was
enabled. A race condition allowed a user to launch a process as an
arbitrary user. Add:
Fix-Authentication-Bypass-when-Message-Aggregation-is-enabled-CVE-2020-1269
3.patch (CVE-2020-12693, bsc#1172004).
- Remove unneeded build dependency to postgresql-devel.


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for HPC 15-SP1:

zypper in -t patch SUSE-SLE-Module-HPC-15-SP1-2020-2598=1



Package List:

- SUSE Linux Enterprise Module for HPC 15-SP1 (aarch64 x86_64):

libpmi0-18.08.9-3.13.2
libpmi0-debuginfo-18.08.9-3.13.2
libslurm33-18.08.9-3.13.2
libslurm33-debuginfo-18.08.9-3.13.2
perl-slurm-18.08.9-3.13.2
perl-slurm-debuginfo-18.08.9-3.13.2
slurm-18.08.9-3.13.2
slurm-auth-none-18.08.9-3.13.2
slurm-auth-none-debuginfo-18.08.9-3.13.2
slurm-config-18.08.9-3.13.2
slurm-config-man-18.08.9-3.13.2
slurm-debuginfo-18.08.9-3.13.2
slurm-debugsource-18.08.9-3.13.2
slurm-devel-18.08.9-3.13.2
slurm-doc-18.08.9-3.13.2
slurm-lua-18.08.9-3.13.2
slurm-lua-debuginfo-18.08.9-3.13.2
slurm-munge-18.08.9-3.13.2
slurm-munge-debuginfo-18.08.9-3.13.2
slurm-node-18.08.9-3.13.2
slurm-node-debuginfo-18.08.9-3.13.2
slurm-pam_slurm-18.08.9-3.13.2
slurm-pam_slurm-debuginfo-18.08.9-3.13.2
slurm-plugins-18.08.9-3.13.2
slurm-plugins-debuginfo-18.08.9-3.13.2
slurm-slurmdbd-18.08.9-3.13.2
slurm-slurmdbd-debuginfo-18.08.9-3.13.2
slurm-sql-18.08.9-3.13.2
slurm-sql-debuginfo-18.08.9-3.13.2
slurm-sview-18.08.9-3.13.2
slurm-sview-debuginfo-18.08.9-3.13.2
slurm-torque-18.08.9-3.13.2
slurm-torque-debuginfo-18.08.9-3.13.2


References:

https://www.suse.com/security/cve/CVE-2020-12693.html
https://bugzilla.suse.com/1172004

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung